Skip to main content
GET
/
evaluations
/
trace-runs
/
{run_id}
/
scores
Get Scores For Run
curl --request GET \
  --url https://api.pandaprobe.com/evaluations/trace-runs/{run_id}/scores \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "trace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "value": "<string>",
    "status": "SUCCESS",
    "source": "AUTOMATED",
    "created_at": "<string>",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "data_type": "NUMERIC",
    "eval_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "author_user_id": "<string>",
    "reason": "<string>",
    "environment": "<string>",
    "config_id": "<string>",
    "metadata": {},
    "updated_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

run_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
trace_id
string<uuid>
required
name
string
required
value
string | null
required
status
enum<string>
required

Outcome of a trace score evaluation attempt.

Available options:
SUCCESS,
FAILED,
PENDING
source
enum<string>
required

Who produced the score judgment (not how it arrived).

AUTOMATED -- the eval system's LLM judge produced this score ANNOTATION -- a human assigned this score manually PROGRAMMATIC -- external code submitted this score via API/SDK

Available options:
AUTOMATED,
ANNOTATION,
PROGRAMMATIC
created_at
string
required
project_id
string<uuid>
required
data_type
enum<string>
required

Data type for a trace score value.

Available options:
NUMERIC,
BOOLEAN,
CATEGORICAL
eval_run_id
string<uuid> | null
required
author_user_id
string | null
required
reason
string | null
required
environment
string | null
required
config_id
string | null
required
metadata
Metadata · object
required
updated_at
string
required